Public Member Functions | Public Attributes | List of all members
ClarisWksTextInternal::State Struct Reference

Internal: the state of a ClarisWksText. More...

## Public Member Functions
| State ()
| constructor More...

## Public Attributes
int | m_version
| the file version More...
std::vector< Paragraph > | m_paragraphsList
| the list of paragraph More...
std::map< int, shared_ptr< Zone > > | m_zoneMap
| the list of text zone More...

## Detailed Description

Internal: the state of a ClarisWksText.

## Constructor & Destructor Documentation

## ◆ State()

ClarisWksTextInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_paragraphsList

std::vector<Paragraph> ClarisWksTextInternal::State::m_paragraphsList

the list of paragraph

## ◆ m_version

int ClarisWksTextInternal::State::m_version
| mutable

the file version

## ◆ m_zoneMap

std::map<int, shared_ptr<Zone> > ClarisWksTextInternal::State::m_zoneMap

the list of text zone

The documentation for this struct was generated from the following file:

- ClarisWksText.cxx